View Issue Details

IDProjectCategoryView StatusLast Update
0000529luatexfeature requestpublic2011-05-10 08:56
ReporteroneirosAssigned Tooneiros 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version0.70.0Fixed in Version0.70.0 
Summary0000529: Adapt to libpng 1.4.x
Descriptionlibpng 1.4 (included with 0000418) deprecates a lot of APIs luatex uses; most prominently the direct access to variables. luatex's use of libpng's API should be adapted.

We currently get these warnings:
../../../source/texk/web2c/luatexdir/image/writepng.w: In function ‘read_png_info’:
../../../source/texk/web2c/luatexdir/image/writepng.w:70:1: warning: ‘jmpbuf’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:1098)
../../../source/texk/web2c/luatexdir/image/writepng.w:79:1: warning: ‘color_type’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:1209)
../../../source/texk/web2c/luatexdir/image/writepng.w:84:1: warning: ‘bit_depth’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:653)
../../../source/texk/web2c/luatexdir/image/writepng.w:97:1: warning: ‘width’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:641)
../../../source/texk/web2c/luatexdir/image/writepng.w:98:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:99:1: warning: ‘valid’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:643)
../../../source/texk/web2c/luatexdir/image/writepng.w:105:1: warning: ‘color_type’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:655)
../../../source/texk/web2c/luatexdir/image/writepng.w:118:1: warning: ‘color_type’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:655)
../../../source/texk/web2c/luatexdir/image/writepng.w:120:1: warning: ‘bit_depth’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:653)
../../../source/texk/web2c/luatexdir/image/writepng.w: In function ‘write_png_palette’:
../../../source/texk/web2c/luatexdir/image/writepng.w:187:1: warning: ‘num_palette’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:649)
../../../source/texk/web2c/luatexdir/image/writepng.w:190:1: warning: ‘interlace_type’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:662)
../../../source/texk/web2c/luatexdir/image/writepng.w:191:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:192:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:192:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:195:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:195:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:198:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:199:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:200:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:202:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:202:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:209:1: warning: ‘num_palette’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:649)
../../../source/texk/web2c/luatexdir/image/writepng.w:211:1: warning: ‘palette’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:647)
../../../source/texk/web2c/luatexdir/image/writepng.w:212:1: warning: ‘palette’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:647)
../../../source/texk/web2c/luatexdir/image/writepng.w:213:1: warning: ‘palette’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:647)
../../../source/texk/web2c/luatexdir/image/writepng.w: In function ‘write_png_gray’:
../../../source/texk/web2c/luatexdir/image/writepng.w:232:1: warning: ‘interlace_type’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:662)
../../../source/texk/web2c/luatexdir/image/writepng.w:233:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:234:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:234:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:237:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:237:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:240:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:241:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:242:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:244:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:244:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w: In function ‘write_png_gray_alpha’:
../../../source/texk/web2c/luatexdir/image/writepng.w:269:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:269:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:272:1: warning: ‘interlace_type’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:662)
../../../source/texk/web2c/luatexdir/image/writepng.w:273:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:274:1: warning: ‘bit_depth’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:653)
../../../source/texk/web2c/luatexdir/image/writepng.w:275:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:275:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:277:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:277:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:281:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:281:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:284:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:285:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:286:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:288:1: warning: ‘bit_depth’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:653)
../../../source/texk/web2c/luatexdir/image/writepng.w:289:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:289:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:291:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:291:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:298:1: warning: ‘bit_depth’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:653)
../../../source/texk/web2c/luatexdir/image/writepng.w:304:1: warning: ‘width’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:641)
../../../source/texk/web2c/luatexdir/image/writepng.w:305:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w: In function ‘write_png_rgb’:
../../../source/texk/web2c/luatexdir/image/writepng.w:332:1: warning: ‘interlace_type’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:662)
../../../source/texk/web2c/luatexdir/image/writepng.w:333:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:334:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:334:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:337:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:337:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:340:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:341:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:342:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:344:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:344:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w: In function ‘write_png_rgb_alpha’:
../../../source/texk/web2c/luatexdir/image/writepng.w:369:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:369:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:372:1: warning: ‘interlace_type’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:662)
../../../source/texk/web2c/luatexdir/image/writepng.w:373:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:374:1: warning: ‘bit_depth’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:653)
../../../source/texk/web2c/luatexdir/image/writepng.w:375:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:375:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:377:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:377:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:381:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:381:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:384:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:385:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:386:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:388:1: warning: ‘bit_depth’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:653)
../../../source/texk/web2c/luatexdir/image/writepng.w:389:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:389:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:391:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:391:1: warning: ‘rowbytes’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:645)
../../../source/texk/web2c/luatexdir/image/writepng.w:399:1: warning: ‘bit_depth’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:653)
../../../source/texk/web2c/luatexdir/image/writepng.w:405:1: warning: ‘width’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:641)
../../../source/texk/web2c/luatexdir/image/writepng.w:406:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w: In function ‘copy_png’:
../../../source/texk/web2c/luatexdir/image/writepng.w:454:1: warning: ‘io_ptr’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:1112)
../../../source/texk/web2c/luatexdir/image/writepng.w:479:1: warning: ‘color_type’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:655)
../../../source/texk/web2c/luatexdir/image/writepng.w:480:1: warning: ‘width’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:641)
../../../source/texk/web2c/luatexdir/image/writepng.w:480:1: warning: ‘bit_depth’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:653)
../../../source/texk/web2c/luatexdir/image/writepng.w: In function ‘write_png’:
../../../source/texk/web2c/luatexdir/image/writepng.w:553:1: warning: ‘width’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:641)
../../../source/texk/web2c/luatexdir/image/writepng.w:554:1: warning: ‘height’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:642)
../../../source/texk/web2c/luatexdir/image/writepng.w:554:1: warning: ‘bit_depth’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:653)
../../../source/texk/web2c/luatexdir/image/writepng.w:566:1: warning: ‘interlace_type’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:662)
../../../source/texk/web2c/luatexdir/image/writepng.w:566:1: warning: ‘transformations’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:1142)
../../../source/texk/web2c/luatexdir/image/writepng.w:566:1: warning: ‘transformations’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:1142)
../../../source/texk/web2c/luatexdir/image/writepng.w:567:1: warning: ‘color_type’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:1209)
../../../source/texk/web2c/luatexdir/image/writepng.w:568:1: warning: ‘color_type’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:1209)
../../../source/texk/web2c/luatexdir/image/writepng.w:569:1: warning: ‘bit_depth’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:1210)
../../../source/texk/web2c/luatexdir/image/writepng.w:575:1: warning: ‘color_type’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:655)
../../../source/texk/web2c/luatexdir/image/writepng.w:579:1: warning: ‘num_palette’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:649)
../../../source/texk/web2c/luatexdir/image/writepng.w:595:1: warning: ‘num_palette’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:649)
../../../source/texk/web2c/luatexdir/image/writepng.w:597:1: warning: ‘palette’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:647)
../../../source/texk/web2c/luatexdir/image/writepng.w:598:1: warning: ‘palette’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:647)
../../../source/texk/web2c/luatexdir/image/writepng.w:599:1: warning: ‘palette’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:647)
../../../source/texk/web2c/luatexdir/image/writepng.w:609:1: warning: ‘transformations’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:1142)
../../../source/texk/web2c/luatexdir/image/writepng.w:610:1: warning: ‘transformations’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:1142)
../../../source/texk/web2c/luatexdir/image/writepng.w:611:1: warning: ‘color_type’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:655)
../../../source/texk/web2c/luatexdir/image/writepng.w:612:1: warning: ‘color_type’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:655)
../../../source/texk/web2c/luatexdir/image/writepng.w:613:1: warning: ‘color_type’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:655)
../../../source/texk/web2c/luatexdir/image/writepng.w:617:1: warning: ‘interlace_type’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:662)
../../../source/texk/web2c/luatexdir/image/writepng.w:619:1: warning: ‘bit_depth’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:653)
../../../source/texk/web2c/luatexdir/image/writepng.w:620:1: warning: ‘bit_depth’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:653)
../../../source/texk/web2c/luatexdir/image/writepng.w:624:1: warning: ‘color_type’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:655)
../../../source/texk/web2c/luatexdir/image/writepng.w:650:1: warning: ‘color_type’ is deprecated (declared at /home/ms/tex/luatex/svn/trunk/build/libs/libpng/include/png.h:655)
TagsNo tags attached.

Relationships

related to 0000418 closedoneiros prepare for libpng 1.4 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2010-11-30 12:18 oneiros New Issue
2010-11-30 12:18 oneiros Status new => assigned
2010-11-30 12:18 oneiros Assigned To => oneiros
2010-11-30 12:19 oneiros Relationship added related to 0000418
2010-12-22 14:17 Taco Status assigned => resolved
2010-12-22 14:17 Taco Resolution open => fixed
2011-04-12 11:02 Taco Fixed in Version => 0.66.0
2011-04-12 11:22 Taco Target Version => 0.70.0
2011-05-10 08:56 Taco Fixed in Version 0.66.0 => 0.70.0
2011-05-10 08:56 Taco Status resolved => closed